## golang-k8s-sigs-knftables 0.0.18+ds1

=== Makefile ===
# Copyright 2023 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

all build:
	echo "Usage:"
	echo "make test   - run unit tests"
	echo "make update - run gofmt, etc"
	echo "make verify - run golangci, etc"

clean:

test:
	./hack/test.sh

update:
	./hack/update.sh

verify:
	./hack/verify.sh

.PHONY: all build clean test update verify

=== debian/changelog ===
golang-k8s-sigs-knftables (0.0.18+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #1111641)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Aug 2025 08:10:44 -0400

=== debian/control ===
Source: golang-k8s-sigs-knftables
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-renstrom-dedent-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-knftables
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-knftables.git
Homepage: https://github.com/kubernetes-sigs/knftables
XS-Go-Import-Path: sigs.k8s.io/knftables

Package: golang-k8s-sigs-knftables-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev,
         golang-github-renstrom-dedent-dev,
         ${misc:Depends},
Description: Go library for declarative nftables management (source)
 This package provides the source code for the knftables Go module, which
 allows programs to manage nftables rulesets declaratively using a
 Kubernetes-style API.  This paradigm enables atomic, transactional updates
 from a desired state configuration, a significant improvement over traditional
 imperative scripts.
 .
 It includes the source for both the Go library and the /usr/bin/knft CLI tool.
 This package is a build dependency used to compile other Go applications that
 require this functionality, such as Kubernetes CNI plugins or network
 operators.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/kubernetes-sigs/knftables/tags .*/v?(\d\S*)\.tar\.gz debian
